<template>
    <div>
        <p v-for="name in names" :key="name">
            {{ name.id }} {{ name.first }} {{ name.last }}
        </p>
        <hr>

        <div class="card" v-for="person in people" :key="person">
            {{ person.id }} {{ person.name }} 
            <br>
            <p class="card sub" v-for="friend in person.friends" :key="friend">
                friend : {{ friend }}
            </p>
        </div>
        <hr/>

        <div v-for="user in users" :key="user">
            <p v-if="user.age >= 45 && user.age <=50">{{ user.name }}</p>
            <p v-else-if="user.age >= 30 && user.age <=44">{{ user.name }}</p>
            <p v-else>{{ user.name }}</p>
        </div>
    </div>
</template>

<script>
    export default {
        name: "IterationView",
        data() {
            return {
                users:[
                    {name:'Jhon', age: 50},
                    {name:'Jane', age: 34},
                    {name:'Jack', age: 35},
                    {name:'jill', age: 36},
                ],
                names:[
                    {id: 1, first:"Mark", last:"Zuckerberg"},
                    {id: 2, first:"Elon", last:"Musk"},
                ],
                people:[
                    {id: 1, name:"Jhon Doe", friends:['Scots lang','Tony Stark']},
                    {id: 2, name:"Tayler Swiff", friends:['Leo Mess','Joe']},
                ]
            }
        },
    }
</script>
<style>
    .card{
        width: 30rem;
        padding: 0.5rem;
        margin: 1rem auto;
        border: 1px solid black;
    }
    .sub{
        width: initial;
        margin: 0.5rem;

    }
</style>